"""
Program čte zadaná slova na vstupu a ukládá je do seznamu.
Vstup je je ukončen prázdným znakem (stisk klávesy Enter).
Po ukončení dojde k abecedně setřídnému výpisu zadaných slov a statistiky vstupu.

Cílem je ukázat základní použití seznamu a některé jeho metody.

Pro pokročilejší studenty může být zajímavé provést porovnání náročnosti
tohoto triviálního způsobu O(n^2) s použitím slovníků s náročností O(n).
"""

def statistika(vstup):
    """
    Funkce pro výpis statistiky zadaného vstupu
    """
    print("Zadáno {0} slov ".format(len(vstup)))
    pocet_znaku = 0
    for slovo in vstup:
            pocet_znaku += len(slovo)
    print("Celkem zadáno {0} znaků".format(pocet_znaku))
    print("Průměrná délka slova {0} znaku".format(float(pocet_znaku)/len(vstup)))
    vstup.reverse()

def cetnosti_slov(vstup):
    for slovo in vstup:
        print("Slovo {0} se vyskytuje {1}".format(slovo,vstup.count(slovo)))


seznam_slov = [] # vytvoření prázdného seznamu
print("Zadávejte slova a ukončete stiskem Enter.")
while True:
    slovo =  input()
    if slovo == "":
        break
    seznam_slov.append(slovo)

statistika(seznam_slov)

#VARIANTA 1
#Upravte funkci statistika tak, aby nedocházelo k duplicitnímu výpisu slov.
