"""
Ilustrace textové spirály.
Program vykresluje místo čar text, kde postupně mění jak barvu,
tak velikost fontu.

Motivace z knihy http://teachyourkidstocode.com/
"""
import turtle

turtle.bgcolor("black")#nastav barvu pozadi
t = turtle.Pen() #vytvoř želvu
t.pencolor("red") #nastav si barvu pera

barvy = [ "red", "orange",  "yellow", "green", "blue"]
slova = [ "Python","je","prima.", "Nebo", "ne?"]
pocet_slov = len (slova)
pocet_barev = len(barvy)
for i in range(10,100):
    t.pencolor(barvy[ i  % pocet_barev ])
    t.penup()
    t.forward(i * 4) #hustota spirály
    t.pendown()
    text =  slova[i % pocet_slov]
    t.write(text,font = ("Arial", (i + 4) // 4)) # psaní textu
    t.left(360 / pocet_slov + 2)


turtle.done()
