"""
Ukázka práce s bitmapou pixel po pixelu.
"""
from PIL import  Image #naimportuj si pro praci s grafikou

def zrcadli(cesta):
    """Funkce implementující zrcadlení obrázku"""
    obr = Image.open(cesta)
    pixely=obr.load() #ziskej pixely
    sirka = obr.width
    for x in range(obr.width//2): #prochazej pouze do pulky
        for y in range(obr.height):#vsechny y souradnice
            pixely[x,y], pixely[sirka-x-1,y] = pixely[sirka-x-1,y], pixely[x,y]
    obr.save("zrcadlo.jpg")# ulož

def symetrie(cesta):
    """Funkce implementující symetrizaci obrázku"""
    obr = Image.open(cesta)
    pixely=obr.load() #ziskej pixely
    sirka = obr.width
    for x in range(obr.width//2): #vsechny x souradni
        for y in range(obr.height):#vsechny y souradnice
            pixely[sirka-x-1,y] =  pixely[x,y]
    obr.save("symetrie.jpg") # ulož




zrcadli("monalisa.jpeg")
symetrie("monalisa.jpeg")
